#include<stdio.h>
#include<string.h>
#include<math.h>

int main( void ){

  FILE *fp1, *fp2;
  char *infn = "GS.flux.dat";
  char outfn[50];
  char buf[200], last_buf[200];
  int nid, nid1;
  int c, i;
  double lmd, lmd1, dlmd;
  double flx[10];
  double m, m1;
  
  if( ( fp1 = fopen( infn, "rt" ) ) == NULL ){
    printf( "cannot open '%s'. Abnormal end.\n", infn );
    exit( -1 );
  }

  nid = -1;
  while( nid < 1 || nid > 175 ){
    printf( "Input ID# (1-175) >> " );
    scanf( "%d", &nid );
  }

  printf( "V-magnitude >> " );
  scanf( "%lf", &m1 );

  printf( "Output file name >> " );
  scanf( "%s", outfn );

  if( ( fp2 = fopen( outfn, "wt" ) ) == NULL ){
    printf( "cannot open '%s'. Abnormal end.\n", outfn );
    exit( -1 );
  }

  while( feof( fp1 ) == 0 ){

    fgets( buf, 200, fp1 );
    if( strcmp( buf, last_buf ) == 0 )
      continue;

    sscanf( buf, "%d %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf",\
	    &nid1, &lmd1, &flx[0], &flx[1], &flx[2], &flx[3], &flx[4],\
	    &flx[5], &flx[6], &flx[7], &flx[8], &flx[9] );

    if( nid1 == nid ){

      for( i=0; i<=9; i++ ){

	if( lmd1 < 5745 )
	  dlmd = 10.0;
	else
	  dlmd = 20.0;
	
	lmd = lmd1 + dlmd * i;
	m = -2.5 * log10( flx[i] );

	printf( "%7.1f %+5.2f %3.0f\n", lmd, (m + m1), dlmd );
	fprintf( fp2, "%7.1f %+5.2f %3.0f\n", lmd, (m + m1), dlmd );

      }
    }

    strcpy( last_buf, buf );
  }

  fclose( fp1 );
  fclose( fp2 );

  return( 0 );
}
